Bug 116506 - mc displays only the root path when you step inside of a rpm file
Summary: mc displays only the root path when you step inside of a rpm file
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mc   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard: triage|leonardjo|closed|notabug
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-22 00:49 UTC by JM
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-31 16:46:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description JM 2004-02-22 00:49:37 UTC
Description of problem:
When I step inside of an RPM file then mc displays only the root path 
of the rpm, you can't browse in the RPM like you can browse inside of 
a .tar file. 

I tried the same with the version 
http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/snapshots/mc-
2004013112-1.i386.rpm or 
http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/binaries/RedHa
t/8.0/mc-4.6.0-2.i386.rpm direct from the mc side and with this 
version it's not a problem to browse inside of an RPM file (but of 
course with this version the UTF-8 support is broken).

Version-Release number of selected component (if applicable):
mc-4.6.0-8.4

How reproducible:
Always

Steps to Reproduce:
1. Take a RPM file (for example mc-4.6.0-8.4.i386.rpm).
2. Open mc and step inside if the RPM file and try to browse in it.
3. Get the mc version from 
http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/snapshots/mc-
2004013112-1.i386.rpm or 
http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/binaries/RedHa
t/8.0/mc-4.6.0-2.i386.rpm and try the same again.

Comment 1 Leonard den Ottolander 2004-03-31 16:46:34 UTC
You need to enter inside CONTENTS.cpio to browse the rpm. Works fine
for me with 4.6.0-8.4.

Closing NOTABUG.

If the above does not work for you please specify more details of your
setup.



Note You need to log in before you can comment on or make changes to this bug.